* configure: Regenerate.
* lib/freeze.mk (MY_AUTOM4TE): Wrap the uninstalled autom4te directly.
(m4f_dependencies): Adjust accordingly.
* tests/Makefile.am (Wrappers): Generate wrapper scripts.
(wrapper.in): Generate it in the build directory.
(MAINTAINERCLEANFILES): Delete wrapper.in.
(CLEANFILES): Add wrapper.in.
* tests/wrapper.as: Move AS_INIT to very top, preserving copyright in
the output. Replace each $as_me with a @wrap_program@.
* tests/wrapper.in: Delete it; we always build it.
* bin/Makefile.am (autoconf.in): Generate it in the build directory.
(EXTRA_DIST): Remove autoconf.in.
(CLEANFILES): Add autoconf.in.
(autoconf): Find autoconf.in in the build directory.
* bin/autoconf.in: Delete it; we always build it.
+2004-12-08 Noah Misch <noah@cs.caltech.edu>
+
+ * configure.ac (test suite): Cease to generate wrapper scripts.
+ * configure: Regenerate.
+ * lib/freeze.mk (MY_AUTOM4TE): Wrap the uninstalled autom4te directly.
+ (m4f_dependencies): Adjust accordingly.
+ * tests/Makefile.am (Wrappers): Generate wrapper scripts.
+ (wrapper.in): Generate it in the build directory.
+ (MAINTAINERCLEANFILES): Delete wrapper.in.
+ (CLEANFILES): Add wrapper.in.
+ * tests/wrapper.as: Move AS_INIT to very top, preserving copyright in
+ the output. Replace each $as_me with a @wrap_program@.
+ * tests/wrapper.in: Delete it; we always build it.
+
+ * bin/Makefile.am (autoconf.in): Generate it in the build directory.
+ (EXTRA_DIST): Remove autoconf.in.
+ (CLEANFILES): Add autoconf.in.
+ (autoconf): Find autoconf.in in the build directory.
+ * bin/autoconf.in: Delete it; we always build it.
+
2004-12-08 Noah Misch <noah@cs.caltech.edu>
* lib/autotest/general.m4 (AT_INIT): Replace a `tr' with a `sed'. Join
bin_SCRIPTS = autom4te \
autoconf autoheader autoreconf ifnames autoscan autoupdate
-EXTRA_DIST = autoconf.in autoheader.in autoreconf.in autoupdate.in ifnames.in \
- autoscan.in autom4te.in \
- autoconf.as
+EXTRA_DIST = autoconf.as autoheader.in autoreconf.in autoupdate.in ifnames.in \
+ autoscan.in autom4te.in
# Files that should be removed, but which Automake does not know.
-CLEANFILES = $(bin_SCRIPTS)
+CLEANFILES = $(bin_SCRIPTS) autoconf.in
## ------------- ##
-e 's,@configure_input\@,Generated from $@.in; do not edit by hand.,g'
# autoconf is written in M4sh.
-AUTOM4SH = $(top_builddir)/tests/autom4te --language M4sh --cache ''
-$(srcdir)/autoconf.in: $(srcdir)/autoconf.as $(m4sh_m4f_dependencies)
- $(AUTOM4SH) $(srcdir)/autoconf.as -o $@
+autoconf.in: $(srcdir)/autoconf.as $(m4sh_m4f_dependencies)
+ $(MY_AUTOM4TE) --language M4sh --cache '' $(srcdir)/autoconf.as -o $@
## All the files below depend on Makefile so that they are rebuilt
## when the prefix etc. changes. It took quite a while to have these
## rules correct, don't break them! In particular, we believe there is
## no solution to factor the code.
## Use chmod -w to prevent people from editing the wrong file by accident.
-autoconf: $(srcdir)/autoconf.in Makefile
+autoconf: autoconf.in Makefile
rm -f autoconf autoconf.tmp
- $(edit) $(srcdir)/autoconf.in >autoconf.tmp
+ $(edit) autoconf.in >autoconf.tmp
chmod +x autoconf.tmp
chmod a-w autoconf.tmp
mv -f autoconf.tmp autoconf
+++ /dev/null
-#! /bin/sh
-## --------------------- ##
-## M4sh Initialization. ##
-## --------------------- ##
-
-# Be Bourne compatible
-if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
- emulate sh
- NULLCMD=:
- # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
- # is contrary to our usage. Disable this feature.
- alias -g '${1+"$@"}'='"$@"'
- setopt NO_GLOB_SUBST
-elif test -n "${BASH_VERSION+set}${KSH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
- set -o posix
-fi
-BIN_SH=xpg4; export BIN_SH # for Tru64
-DUALCASE=1; export DUALCASE # for MKS sh
-
-
-# PATH needs CR
-# Avoid depending upon Character Ranges.
-as_cr_letters='abcdefghijklmnopqrstuvwxyz'
-as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
-as_cr_Letters=$as_cr_letters$as_cr_LETTERS
-as_cr_digits='0123456789'
-as_cr_alnum=$as_cr_Letters$as_cr_digits
-
-# The user is always right.
-if test "${PATH_SEPARATOR+set}" != set; then
- echo "#! /bin/sh" >conf$$.sh
- echo "exit 0" >>conf$$.sh
- chmod +x conf$$.sh
- if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
- PATH_SEPARATOR=';'
- else
- PATH_SEPARATOR=:
- fi
- rm -f conf$$.sh
-fi
-
-# Support unset when possible.
-if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
- as_unset=unset
-else
- as_unset=false
-fi
-
-
-# Find who we are. Look in the path if we contain no path at all
-# relative or not.
-case $0 in
- *[\\/]* ) as_myself=$0 ;;
- *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-for as_dir in $PATH
-do
- IFS=$as_save_IFS
- test -z "$as_dir" && as_dir=.
- test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
-done
-
- ;;
-esac
-# We did not find ourselves, most probably we were run as `sh COMMAND'
-# in which case we are not to be found in the path.
-if test "x$as_myself" = x; then
- as_myself=$0
-fi
-if test ! -f "$as_myself"; then
- { echo "$as_me: error: cannot find myself; rerun with an absolute file name" >&2
- { (exit 1); exit 1; }; }
-fi
-
-# Work around bugs in pre-3.0 UWIN ksh.
-for as_var in ENV MAIL MAILPATH
-do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
-done
-PS1='$ '
-PS2='> '
-PS4='+ '
-
-# NLS nuisances.
-for as_var in \
- LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
- LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
- LC_TELEPHONE LC_TIME
-do
- if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
- eval $as_var=C; export $as_var
- else
- ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
- fi
-done
-
-# Required to use basename.
-if expr a : '\(a\)' >/dev/null 2>&1; then
- as_expr=expr
-else
- as_expr=false
-fi
-
-if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
- as_basename=basename
-else
- as_basename=false
-fi
-
-
-# Name of the executable.
-as_me=`$as_basename "$0" ||
-$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
- X"$0" : 'X\(//\)$' \| \
- X"$0" : 'X\(/\)$' \| \
- . : '\(.\)' 2>/dev/null ||
-echo X/"$0" |
- sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
- /^X\/\(\/\/\)$/{ s//\1/; q; }
- /^X\/\(\/\).*/{ s//\1/; q; }
- s/.*/./; q'`
-
-
-
-if test "x$CONFIG_SHELL" = x; then
- if (eval ":") 2>/dev/null; then
- as_have_required=yes
-else
- as_have_required=no
-fi
-
- if test $as_have_required = yes && (eval ":
-(func_return () {
- (exit \$1)
-}
-func_success () {
- func_return 0
-}
-func_failure () {
- func_return 1
-}
-func_ret_success () {
- return 0
-}
-func_ret_failure () {
- return 1
-}
-
-exitcode=0
-if func_success; then
- :
-else
- exitcode=1
- echo func_failure succeeded.
-fi
-
-if func_failure; then
- exitcode=1
- echo func_success failed.
-fi
-
-if func_ret_success; then
- :
-else
- exitcode=1
- echo func_ret_success failed.
-fi
-
-if func_ret_failure; then
- exitcode=1
- echo func_ret_failure succeeded.
-fi
-
-test \$exitcode = 0) || { (exit 1); exit 1; }
-") 2> /dev/null; then
- :
-else
- as_candidate_shells=
- as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
-do
- IFS=$as_save_IFS
- test -z "$as_dir" && as_dir=.
- case $as_dir in
- /*)
- for as_base in sh bash ksh sh5; do
- as_candidate_shells="$as_candidate_shells $as_dir/$as_base"
- done
- esac
-done
-
-
- for as_shell in $as_candidate_shells $SHELL; do
- if { $as_shell 2> /dev/null <<\_ASEOF
-# Be Bourne compatible
-if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
- emulate sh
- NULLCMD=:
- # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
- # is contrary to our usage. Disable this feature.
- alias -g '${1+"$@"}'='"$@"'
- setopt NO_GLOB_SUBST
-elif test -n "${BASH_VERSION+set}${KSH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
- set -o posix
-fi
-BIN_SH=xpg4; export BIN_SH # for Tru64
-DUALCASE=1; export DUALCASE # for MKS sh
-
-:
-_ASEOF
-}; then
- CONFIG_SHELL=$as_shell
- as_have_required=yes
- if { $as_shell 2> /dev/null <<\_ASEOF
-# Be Bourne compatible
-if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
- emulate sh
- NULLCMD=:
- # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
- # is contrary to our usage. Disable this feature.
- alias -g '${1+"$@"}'='"$@"'
- setopt NO_GLOB_SUBST
-elif test -n "${BASH_VERSION+set}${KSH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
- set -o posix
-fi
-BIN_SH=xpg4; export BIN_SH # for Tru64
-DUALCASE=1; export DUALCASE # for MKS sh
-
-:
-(func_return () {
- (exit $1)
-}
-func_success () {
- func_return 0
-}
-func_failure () {
- func_return 1
-}
-func_ret_success () {
- return 0
-}
-func_ret_failure () {
- return 1
-}
-
-exitcode=0
-if func_success; then
- :
-else
- exitcode=1
- echo func_failure succeeded.
-fi
-
-if func_failure; then
- exitcode=1
- echo func_success failed.
-fi
-
-if func_ret_success; then
- :
-else
- exitcode=1
- echo func_ret_success failed.
-fi
-
-if func_ret_failure; then
- exitcode=1
- echo func_ret_failure succeeded.
-fi
-
-test $exitcode = 0) || { (exit 1); exit 1; }
-
-_ASEOF
-}; then
- break
-fi
-
-fi
-
- done
-
- if test "x$CONFIG_SHELL" != x; then
- for as_var in BASH_ENV ENV
- do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
- done
- export CONFIG_SHELL
- exec "$CONFIG_SHELL" "$as_myself" ${1+"$@"}
-fi
-
-
- if test $as_have_required = no; then
- echo This script requires a shell more modern than all the
- echo shells that I found on your system. Please install a
- echo modern shell, or manually run the script under such a
- echo shell if you do have one.
- { (exit 1); exit 1; }
-fi
-
-
-fi
-
-fi
-
-
-
-(eval "func_return () {
- (exit \$1)
-}
-func_success () {
- func_return 0
-}
-func_failure () {
- func_return 1
-}
-func_ret_success () {
- return 0
-}
-func_ret_failure () {
- return 1
-}
-
-exitcode=0
-if func_success; then
- :
-else
- exitcode=1
- echo func_failure succeeded.
-fi
-
-if func_failure; then
- exitcode=1
- echo func_success failed.
-fi
-
-if func_ret_success; then
- :
-else
- exitcode=1
- echo func_ret_success failed.
-fi
-
-if func_ret_failure; then
- exitcode=1
- echo func_ret_failure succeeded.
-fi
-
-test \$exitcode = 0") || {
- echo No shell found that supports shell functions.
- echo Please tell autoconf@gnu.org about your system,
- echo including any error possibly output before this
- echo message
-}
-
-# autoconf -- create `configure' using m4 macros
-# Copyright (C) 1992, 1993, 1994, 1996, 1999, 2000, 2001, 2002, 2003, 2004
-# Free Software Foundation, Inc.
-
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2, or (at your option)
-# any later version.
-
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
-# 02111-1307, USA.
-
-usage="\
-Usage: $0 [OPTION] ... [TEMPLATE-FILE]
-
-Generate a configuration script from a TEMPLATE-FILE if given, or
-\`configure.ac' if present, or else \`configure.in'. Output is sent
-to the standard output if TEMPLATE-FILE is given, else into
-\`configure'.
-
-Operation modes:
- -h, --help print this help, then exit
- -V, --version print version number, then exit
- -v, --verbose verbosely report processing
- -d, --debug don't remove temporary files
- -f, --force consider all files obsolete
- -o, --output=FILE save output in FILE (stdout is the default)
- -W, --warnings=CATEGORY report the warnings falling in CATEGORY [syntax]
-
-Warning categories include:
- \`cross' cross compilation issues
- \`obsolete' obsolete constructs
- \`syntax' dubious syntactic constructs
- \`all' all the warnings
- \`no-CATEGORY' turn off the warnings on CATEGORY
- \`none' turn off all the warnings
- \`error' warnings are error
-
-The environment variable \`WARNINGS' is honored.
-
-Library directories:
- -B, --prepend-include=DIR prepend directory DIR to search path
- -I, --include=DIR append directory DIR to search path
-
-Tracing:
- -t, --trace=MACRO report the list of calls to MACRO
- -i, --initialization also trace Autoconf's initialization process
-
-In tracing mode, no configuration script is created.
-
-Report bugs to <bug-autoconf@gnu.org>."
-
-version="\
-autoconf (@PACKAGE_NAME@) @VERSION@
-Written by David J. MacKenzie and Akim Demaille.
-
-Copyright (C) 2004 Free Software Foundation, Inc.
-This is free software; see the source for copying conditions. There is NO
-warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE."
-
-me=`$as_basename $0 ||
-$as_expr X/$0 : '.*/\([^/][^/]*\)/*$' \| \
- X$0 : 'X\(//\)$' \| \
- X$0 : 'X\(/\)$' \| \
- . : '\(.\)' 2>/dev/null ||
-echo X/$0 |
- sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
- /^X\/\(\/\/\)$/{ s//\1/; q; }
- /^X\/\(\/\).*/{ s//\1/; q; }
- s/.*/./; q'`
-
-help="\
-Try \`$me --help' for more information."
-
-exit_missing_arg="\
-echo \"$me: option \\\`\$1' requires an argument\" >&2
-echo \"\$help\" >&2
-exit 1"
-
-# Variables.
-: ${AUTOM4TE='@bindir@/@autom4te-name@'}
-autom4te_options=
-dir=`(dirname $0) 2>/dev/null ||
-$as_expr X$0 : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
- X$0 : 'X\(//\)[^/]' \| \
- X$0 : 'X\(//\)$' \| \
- X$0 : 'X\(/\)' \| \
- . : '\(.\)' 2>/dev/null ||
-echo X$0 |
- sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
- /^X\(\/\/\)[^/].*/{ s//\1/; q; }
- /^X\(\/\/\)$/{ s//\1/; q; }
- /^X\(\/\).*/{ s//\1/; q; }
- s/.*/./; q'`
-outfile=
-verbose=:
-
-# Parse command line.
-while test $# -gt 0 ; do
- option=`expr "x$1" : 'x\(--[^=]*\)' \| \
- "x$1" : 'x\(-.\)'`
- optarg=`expr "x$1" : 'x--[^=]*=\(.*\)' \| \
- "x$1" : 'x-.\(.*\)'`
- case $1 in
- --version | -V )
- echo "$version" ; exit 0 ;;
- --help | -h )
- echo "$usage"; exit 0 ;;
-
- --verbose | -v )
- verbose=echo
- autom4te_options="$autom4te_options $1"; shift ;;
-
- # Arguments passed as is to autom4te.
- --debug | -d | \
- --force | -f | \
- --include=* | -I?* | \
- --prepend-include=* | -B?* | \
- --warnings=* | -W?* )
- autom4te_options="$autom4te_options '$1'"; shift ;;
-
- # Options with separated arg passed as is to autom4te.
- --include | -I | \
- --prepend-include | -B | \
- --warnings | -W )
- test $# = 1 && eval "$exit_missing_arg"
- autom4te_options="$autom4te_options $option '$2'"
- shift 2 ;;
-
- --trace=* | -t?* )
- traces="$traces --trace='"`echo "$optarg" | sed "s/'/'\\\\\\\\''/g"`"'"
- shift ;;
- --trace | -t )
- test $# = 1 && eval "$exit_missing_arg"
- shift
- traces="$traces --trace='"`echo "$1" | sed "s/'/'\\\\\\\\''/g"`"'"
- shift ;;
- --initialization | -i )
- autom4te_options="$autom4te_options --melt"
- shift;;
-
- --output=* | -o?* )
- outfile=$optarg
- shift ;;
- --output | -o )
- test $# = 1 && eval "$exit_missing_arg"
- shift
- outfile=$1
- shift ;;
-
- -- ) # Stop option processing
- shift; break ;;
- - ) # Use stdin as input.
- break ;;
- -* )
- exec >&2
- echo "$me: invalid option $1"
- echo "$help"
- exit 1 ;;
- * )
- break ;;
- esac
-done
-
-# Find the input file.
-case $# in
- 0)
- if test -f configure.ac; then
- if test -f configure.in; then
- echo "$me: warning: both \`configure.ac' and \`configure.in' are present." >&2
- echo "$me: warning: proceeding with \`configure.ac'." >&2
- fi
- infile=configure.ac
- elif test -f configure.in; then
- infile=configure.in
- else
- echo "$me: no input file" >&2
- exit 1
- fi
- test -z "$traces" && test -z "$outfile" && outfile=configure;;
- 1) # autom4te doesn't like `-'.
- test "x$1" != "x-" && infile=$1 ;;
- *) exec >&2
- echo "$me: invalid number of arguments."
- echo "$help"
- (exit 1); exit 1 ;;
-esac
-
-# Unless specified, the output is stdout.
-test -z "$outfile" && outfile=-
-
-# Run autom4te with expansion.
-eval set x $autom4te_options \
- --language=autoconf --output=\$outfile "$traces" \$infile
-shift
-$verbose "$me: running $*" >&2
-exec "$AUTOM4TE" "$@"
])
AC_SUBST(ac_cv_sh_n_works)
-# Initialize the test suite and build position independent wrappers.
+# Initialize the test suite.
AC_CONFIG_TESTDIR([tests])
AC_CONFIG_FILES([tests/Makefile tests/atlocal])
-AC_CONFIG_FILES([tests/autoconf:tests/wrapper.in],
- [chmod +x tests/autoconf])
-AC_CONFIG_FILES([tests/autoheader:tests/wrapper.in],
- [chmod +x tests/autoheader])
-AC_CONFIG_FILES([tests/autom4te:tests/wrapper.in],
- [chmod +x tests/autom4te])
-AC_CONFIG_FILES([tests/autoreconf:tests/wrapper.in],
- [chmod +x tests/autoreconf])
-AC_CONFIG_FILES([tests/autoscan:tests/wrapper.in],
- [chmod +x tests/autoscan])
-AC_CONFIG_FILES([tests/autoupdate:tests/wrapper.in],
- [chmod +x tests/autoupdate])
-AC_CONFIG_FILES([tests/ifnames:tests/wrapper.in],
- [chmod +x tests/ifnames])
AC_PATH_PROG([EXPR], [expr])
SUFFIXES = .m4 .m4f
-# Do not use AUTOM4TE here, since Makefile.maint (my-distcheck)
-# checks if we are independent of Autoconf by defining AUTOM4TE (and
-# others) to `false'. But we _ship_ tests/autom4te, so it doesn't
-# apply to us.
-MY_AUTOM4TE = $(top_builddir)/tests/autom4te
-$(MY_AUTOM4TE): $(top_srcdir)/tests/wrapper.in
- cd $(top_builddir)/tests && $(MAKE) $(AM_MAKEFLAGS) autom4te
-
AUTOM4TE_CFG = $(top_builddir)/lib/autom4te.cfg
$(AUTOM4TE_CFG): $(top_srcdir)/lib/autom4te.in
cd $(top_builddir)/lib && $(MAKE) $(AM_MAKEFLAGS) autom4te.cfg
+# Do not use AUTOM4TE here, since Makefile.maint (my-distcheck)
+# checks if we are independent of Autoconf by defining AUTOM4TE (and
+# others) to `false'. Autoconf provides autom4te, so that doesn't
+# apply to us.
+MY_AUTOM4TE = \
+ autom4te_perllibdir='$(top_srcdir)'/lib \
+ AUTOM4TE_CFG='$(AUTOM4TE_CFG)' $(top_builddir)/bin/autom4te \
+ -B '$(top_builddir)'/lib -B '$(top_srcdir)'/lib # keep ` '
+
# When processing the file with diversion disabled, there must be no
# output but comments and empty lines.
# If freezing produces output, something went wrong: a bad `divert',
src_libdir = $(top_srcdir)/lib
build_libdir = $(top_builddir)/lib
-m4f_dependencies = $(MY_AUTOM4TE) $(AUTOM4TE_CFG)
+m4f_dependencies = $(top_builddir)/bin/autom4te $(AUTOM4TE_CFG)
# For parallel builds.
$(build_libdir)/m4sugar/version.m4:
## Wrappers. ##
## ---------- ##
-MAINTAINERCLEANFILES += $(srcdir)/wrapper.in
+wrappers = autoconf autoheader autom4te autoreconf autoscan autoupdate ifnames
+CLEANFILES = wrapper.in $(wrappers)
-$(srcdir)/wrapper.in: $(srcdir)/wrapper.as $(m4sh_m4f_dependencies)
- ./autom4te --language=M4sh $(srcdir)/wrapper.as -o $@
+wrapper.in: $(srcdir)/wrapper.as $(m4sh_m4f_dependencies)
+ $(MY_AUTOM4TE) --language=M4sh $(srcdir)/wrapper.as -o $@
+
+edit = sed \
+ -e 's,@wrap_program\@,$@,g' \
+ -e 's,@abs_top_srcdir\@,@abs_top_srcdir@,g' \
+ -e 's,@abs_top_builddir\@,@abs_top_builddir@,g' \
+ -e 's,@configure_input\@,Generated from $<.,g'
+
+$(wrappers): wrapper.in
+ rm -f $@ $@.tmp
+ $(edit) wrapper.in >$@.tmp
+ chmod +x $@.tmp
+ chmod a-w $@.tmp
+ mv -f $@.tmp $@
maintainer-check: maintainer-check-posix maintainer-check-c++
# The hairy heredoc is more robust than using echo.
-CLEANFILES = expr
+CLEANFILES += expr
expr:
echo '#! $(SHELL)' >expr
echo 'result=`@EXPR@ "$$@"`' >>expr
-# wrapper.as -- running `$0' as if it were installed. -*- shell-script -*-
+AS_INIT[]dnl -*- shell-script -*-
+# wrapper.as -- running `@wrap_program@' as if it were installed.
# @configure_input@
# Copyright (C) 2003, 2004 Free Software Foundation, Inc.
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.
-AS_INIT[]dnl
-
testdir='@abs_top_builddir@/tests'
AUTOCONF=$testdir/autoconf
AUTOHEADER=$testdir/autoheader
autom4te_perllibdir='@abs_top_srcdir@/lib'
export AUTOCONF AUTOHEADER AUTOM4TE AUTOM4TE_CFG autom4te_perllibdir
-case $as_me in
+case '@wrap_program@' in
ifnames)
# Does not have lib files.
- exec '@abs_top_builddir@'/bin/$as_me ${1+"$@"}
+ exec '@abs_top_builddir@/bin/@wrap_program@' ${1+"$@"}
;;
*)
# We might need files from the build tree (frozen files), in
# addition of src files.
- exec '@abs_top_builddir@'/bin/$as_me \
+ exec '@abs_top_builddir@/bin/@wrap_program@' \
-B '@abs_top_builddir@'/lib \
- -B '@abs_top_srcdir@/lib' ${1+"$@"}
+ -B '@abs_top_srcdir@'/lib ${1+"$@"}
esac
exit 1
+++ /dev/null
-#! /bin/sh
-## --------------------- ##
-## M4sh Initialization. ##
-## --------------------- ##
-
-# Be Bourne compatible
-if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
- emulate sh
- NULLCMD=:
- # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
- # is contrary to our usage. Disable this feature.
- alias -g '${1+"$@"}'='"$@"'
- setopt NO_GLOB_SUBST
-elif test -n "${BASH_VERSION+set}${KSH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
- set -o posix
-fi
-BIN_SH=xpg4; export BIN_SH # for Tru64
-DUALCASE=1; export DUALCASE # for MKS sh
-
-
-# PATH needs CR
-# Avoid depending upon Character Ranges.
-as_cr_letters='abcdefghijklmnopqrstuvwxyz'
-as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
-as_cr_Letters=$as_cr_letters$as_cr_LETTERS
-as_cr_digits='0123456789'
-as_cr_alnum=$as_cr_Letters$as_cr_digits
-
-# The user is always right.
-if test "${PATH_SEPARATOR+set}" != set; then
- echo "#! /bin/sh" >conf$$.sh
- echo "exit 0" >>conf$$.sh
- chmod +x conf$$.sh
- if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
- PATH_SEPARATOR=';'
- else
- PATH_SEPARATOR=:
- fi
- rm -f conf$$.sh
-fi
-
-# Support unset when possible.
-if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
- as_unset=unset
-else
- as_unset=false
-fi
-
-
-# Find who we are. Look in the path if we contain no path at all
-# relative or not.
-case $0 in
- *[\\/]* ) as_myself=$0 ;;
- *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-for as_dir in $PATH
-do
- IFS=$as_save_IFS
- test -z "$as_dir" && as_dir=.
- test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
-done
-
- ;;
-esac
-# We did not find ourselves, most probably we were run as `sh COMMAND'
-# in which case we are not to be found in the path.
-if test "x$as_myself" = x; then
- as_myself=$0
-fi
-if test ! -f "$as_myself"; then
- { echo "$as_me: error: cannot find myself; rerun with an absolute file name" >&2
- { (exit 1); exit 1; }; }
-fi
-
-# Work around bugs in pre-3.0 UWIN ksh.
-for as_var in ENV MAIL MAILPATH
-do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
-done
-PS1='$ '
-PS2='> '
-PS4='+ '
-
-# NLS nuisances.
-for as_var in \
- LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
- LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
- LC_TELEPHONE LC_TIME
-do
- if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
- eval $as_var=C; export $as_var
- else
- ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
- fi
-done
-
-# Required to use basename.
-if expr a : '\(a\)' >/dev/null 2>&1; then
- as_expr=expr
-else
- as_expr=false
-fi
-
-if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
- as_basename=basename
-else
- as_basename=false
-fi
-
-
-# Name of the executable.
-as_me=`$as_basename "$0" ||
-$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
- X"$0" : 'X\(//\)$' \| \
- X"$0" : 'X\(/\)$' \| \
- . : '\(.\)' 2>/dev/null ||
-echo X/"$0" |
- sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
- /^X\/\(\/\/\)$/{ s//\1/; q; }
- /^X\/\(\/\).*/{ s//\1/; q; }
- s/.*/./; q'`
-
-
-
-if test "x$CONFIG_SHELL" = x; then
- if (eval ":") 2>/dev/null; then
- as_have_required=yes
-else
- as_have_required=no
-fi
-
- if test $as_have_required = yes && (eval ":
-(func_return () {
- (exit \$1)
-}
-func_success () {
- func_return 0
-}
-func_failure () {
- func_return 1
-}
-func_ret_success () {
- return 0
-}
-func_ret_failure () {
- return 1
-}
-
-exitcode=0
-if func_success; then
- :
-else
- exitcode=1
- echo func_failure succeeded.
-fi
-
-if func_failure; then
- exitcode=1
- echo func_success failed.
-fi
-
-if func_ret_success; then
- :
-else
- exitcode=1
- echo func_ret_success failed.
-fi
-
-if func_ret_failure; then
- exitcode=1
- echo func_ret_failure succeeded.
-fi
-
-test \$exitcode = 0) || { (exit 1); exit 1; }
-") 2> /dev/null; then
- :
-else
- as_candidate_shells=
- as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
-do
- IFS=$as_save_IFS
- test -z "$as_dir" && as_dir=.
- case $as_dir in
- /*)
- for as_base in sh bash ksh sh5; do
- as_candidate_shells="$as_candidate_shells $as_dir/$as_base"
- done
- esac
-done
-
-
- for as_shell in $as_candidate_shells $SHELL; do
- if { $as_shell 2> /dev/null <<\_ASEOF
-# Be Bourne compatible
-if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
- emulate sh
- NULLCMD=:
- # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
- # is contrary to our usage. Disable this feature.
- alias -g '${1+"$@"}'='"$@"'
- setopt NO_GLOB_SUBST
-elif test -n "${BASH_VERSION+set}${KSH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
- set -o posix
-fi
-BIN_SH=xpg4; export BIN_SH # for Tru64
-DUALCASE=1; export DUALCASE # for MKS sh
-
-:
-_ASEOF
-}; then
- CONFIG_SHELL=$as_shell
- as_have_required=yes
- if { $as_shell 2> /dev/null <<\_ASEOF
-# Be Bourne compatible
-if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
- emulate sh
- NULLCMD=:
- # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
- # is contrary to our usage. Disable this feature.
- alias -g '${1+"$@"}'='"$@"'
- setopt NO_GLOB_SUBST
-elif test -n "${BASH_VERSION+set}${KSH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
- set -o posix
-fi
-BIN_SH=xpg4; export BIN_SH # for Tru64
-DUALCASE=1; export DUALCASE # for MKS sh
-
-:
-(func_return () {
- (exit $1)
-}
-func_success () {
- func_return 0
-}
-func_failure () {
- func_return 1
-}
-func_ret_success () {
- return 0
-}
-func_ret_failure () {
- return 1
-}
-
-exitcode=0
-if func_success; then
- :
-else
- exitcode=1
- echo func_failure succeeded.
-fi
-
-if func_failure; then
- exitcode=1
- echo func_success failed.
-fi
-
-if func_ret_success; then
- :
-else
- exitcode=1
- echo func_ret_success failed.
-fi
-
-if func_ret_failure; then
- exitcode=1
- echo func_ret_failure succeeded.
-fi
-
-test $exitcode = 0) || { (exit 1); exit 1; }
-
-_ASEOF
-}; then
- break
-fi
-
-fi
-
- done
-
- if test "x$CONFIG_SHELL" != x; then
- for as_var in BASH_ENV ENV
- do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
- done
- export CONFIG_SHELL
- exec "$CONFIG_SHELL" "$as_myself" ${1+"$@"}
-fi
-
-
- if test $as_have_required = no; then
- echo This script requires a shell more modern than all the
- echo shells that I found on your system. Please install a
- echo modern shell, or manually run the script under such a
- echo shell if you do have one.
- { (exit 1); exit 1; }
-fi
-
-
-fi
-
-fi
-
-
-
-(eval "func_return () {
- (exit \$1)
-}
-func_success () {
- func_return 0
-}
-func_failure () {
- func_return 1
-}
-func_ret_success () {
- return 0
-}
-func_ret_failure () {
- return 1
-}
-
-exitcode=0
-if func_success; then
- :
-else
- exitcode=1
- echo func_failure succeeded.
-fi
-
-if func_failure; then
- exitcode=1
- echo func_success failed.
-fi
-
-if func_ret_success; then
- :
-else
- exitcode=1
- echo func_ret_success failed.
-fi
-
-if func_ret_failure; then
- exitcode=1
- echo func_ret_failure succeeded.
-fi
-
-test \$exitcode = 0") || {
- echo No shell found that supports shell functions.
- echo Please tell autoconf@gnu.org about your system,
- echo including any error possibly output before this
- echo message
-}
-
-
-testdir='@abs_top_builddir@/tests'
-AUTOCONF=$testdir/autoconf
-AUTOHEADER=$testdir/autoheader
-AUTOM4TE=$testdir/autom4te
-AUTOM4TE_CFG='@abs_top_builddir@/lib/autom4te.cfg'
-autom4te_perllibdir='@abs_top_srcdir@/lib'
-export AUTOCONF AUTOHEADER AUTOM4TE AUTOM4TE_CFG autom4te_perllibdir
-
-case $as_me in
- ifnames)
- # Does not have lib files.
- exec '@abs_top_builddir@'/bin/$as_me ${1+"$@"}
- ;;
- *)
- # We might need files from the build tree (frozen files), in
- # addition of src files.
- exec '@abs_top_builddir@'/bin/$as_me \
- -B '@abs_top_builddir@'/lib \
- -B '@abs_top_srcdir@/lib' ${1+"$@"}
-esac
-exit 1